## mgitstatus 2.3+dfsg

=== Makefile ===
SHELL := /bin/sh

PREFIX ?= /usr/local

.PHONY: all
all: man

mgitstatus.1: mgitstatus.1.md
		pandoc ./$< -s -t man > $@

.PHONY: man
man: mgitstatus.1

.PHONY: test
test:
		# SC1117 Backslash is literal in...
		# SC2059 Don't use variables in the printf format string. But we need to or colors won't work
		# SC2012 Use find instead of ls, but we need to extract the user id of the .git dir
		shellcheck -e SC1117,SC2059,SC2012 mgitstatus

.PHONY: install
install:
		install -d $(DESTDIR)$(PREFIX)/bin
		install -d $(DESTDIR)$(PREFIX)/man/man1
		install -m 755 mgitstatus $(DESTDIR)$(PREFIX)/bin/
		install mgitstatus.1 $(DESTDIR)$(PREFIX)/man/man1/

## mgitstatus 2.0+dfsg

=== debian/changelog ===
mgitstatus (2.0+dfsg-3) unstable; urgency=medium

  * Fix my email info in d/control and d/copyright
  * Bump Standard-Version to 4.6.0: no changes

 -- Baptiste Beauplat <lyknode@debian.org>  Fri, 03 Sep 2021 19:44:32 +0200

mgitstatus (2.0+dfsg-2) unstable; urgency=medium

  * Bump for first source-only upload

 -- Baptiste Beauplat <lyknode@cilg.org>  Sat, 24 Oct 2020 10:03:06 +0200

mgitstatus (2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #971378)

 -- Baptiste Beauplat <lyknode@cilg.org>  Mon, 05 Oct 2020 19:59:18 +0200

=== debian/control ===
Source: mgitstatus
Section: vcs
Priority: optional
Maintainer: Baptiste Beauplat <lyknode@debian.org>
Build-Depends: debhelper-compat (= 13), pandoc, shellcheck
Standards-Version: 4.6.0
Homepage: https://github.com/fboender/multi-git-status
Vcs-Browser: https://salsa.debian.org/debian/mgitstatus
Vcs-Git: https://salsa.debian.org/debian/mgitstatus.git
Rules-Requires-Root: no

Package: mgitstatus
Architecture: all
Depends: ${misc:Depends}, git
Description: Show status of multiple Git repositories
 mgitstatus is a tool that loop over multiple Git repositories reporting,
 for each one, the uncommitted, untracked and unpushed changes. The output
 is nicely formatted using colors to quickly detect which repositories
 need action.
 .
 When working over several project, mgitstatus is quite helpful to track
 unfinished work, not in sync with your remotes. Optionally, it can also
 check if the repository needs a pull by fetching remote branches.

=== debian/rules ===
#!/usr/bin/make -f

SHELLCHECK_IGNORE = SC1117,SC2059

%:
	dh $@

override_dh_auto_test:
	shellcheck -e $(SHELLCHECK_IGNORE) mgitstatus

override_dh_auto_build:
	pandoc mgitstatus.1.md -s -t man > mgitstatus.1

override_dh_auto_clean:
	rm -f mgitstatus.1

## mgitstatus 2.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Baptiste Beauplat <lyknode@debian.org>
 Build-Depends: debhelper-compat (= 13), pandoc, shellcheck
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fboender/multi-git-status
 Vcs-Browser: https://salsa.debian.org/debian/mgitstatus
 Vcs-Git: https://salsa.debian.org/debian/mgitstatus.git
@@ -12,6 +12,7 @@
 Package: mgitstatus
 Architecture: all
 Depends: ${misc:Depends}, git
+Multi-Arch: foreign
 Description: Show status of multiple Git repositories
  mgitstatus is a tool that loop over multiple Git repositories reporting,
  for each one, the uncommitted, untracked and unpushed changes. The output

## mgitstatus 2.2+dfsg

=== debian/changelog ===
mgitstatus (2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2+dfsg
  * Bump Standards-Version to 4.6.1: no changes
  * Rediff patches

 -- Baptiste Beauplat <lyknode@debian.org>  Thu, 16 Jun 2022 14:07:35 +0200

mgitstatus (2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1+dfsg
  * Update copyright years
  * Use upstream makefile:
    - Remove dh_auto_test override
    - Update dh_auto_build to use makefile and pass correct PREFIX
  * Move clean files from override rule to d/clean
  * Drop all patches, applied upstream
  * Add a patch to fix man install dir in upstream Makefile

 -- Baptiste Beauplat <lyknode@debian.org>  Sun, 03 Apr 2022 15:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Package: mgitstatus
 Architecture: all
 Depends: ${misc:Depends}, git
-Multi-Arch: foreign
 Description: Show status of multiple Git repositories
  mgitstatus is a tool that loop over multiple Git repositories reporting,
  for each one, the uncommitted, untracked and unpushed changes. The output

## mgitstatus 2.3+dfsg

=== debian/changelog ===
mgitstatus (2.3+dfsg-1) unstable; urgency=medium

  * Set pristine-tar as default for gbp
  * New upstream version 2.3+dfsg
  * Bump Standards-Version to 4.7.0
  * Reformat dependencies with wrap-and-sort
  * Update copyright years

 -- Baptiste Beauplat <lyknode@debian.org>  Wed, 20 Nov 2024 19:58:36 +0100

mgitstatus (2.2+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Add Multi-Arch: foreign

 -- Baptiste Beauplat <lyknode@debian.org>  Tue, 01 Nov 2022 09:47:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: vcs
 Priority: optional
 Maintainer: Baptiste Beauplat <lyknode@debian.org>
-Build-Depends: debhelper-compat (= 13), pandoc, shellcheck
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ pandoc,
+ shellcheck,
+Standards-Version: 4.7.0
 Homepage: https://github.com/fboender/multi-git-status
 Vcs-Browser: https://salsa.debian.org/debian/mgitstatus
 Vcs-Git: https://salsa.debian.org/debian/mgitstatus.git
@@ -11,7 +14,10 @@
 
 Package: mgitstatus
 Architecture: all
-Depends: ${misc:Depends}, git
+Depends:
+ git,
+ ${misc:Depends},
+Multi-Arch: foreign
 Description: Show status of multiple Git repositories
  mgitstatus is a tool that loop over multiple Git repositories reporting,
  for each one, the uncommitted, untracked and unpushed changes. The output
